package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemClazzmemberPendingListItemBindingImpl extends ItemClazzmemberPendingListItemBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback49;
    @Nullable
    private final android.view.View.OnClickListener mCallback48;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemClazzmemberPendingListItemBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 5, sIncludes, sViewsWithIds));
    }
    private ItemClazzmemberPendingListItemBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (com.google.android.material.button.MaterialButton) bindings[3]
            , (android.widget.TextView) bindings[2]
            , (com.google.android.material.button.MaterialButton) bindings[4]
            , (de.hdodenhof.circleimageview.CircleImageView) bindings[1]
            );
        this.acceptIcon.setTag(null);
        this.itemClazzmemberText.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        this.rejectIcon.setTag(null);
        this.studentpicture.setTag(null);
        setRootTag(root);
        // listeners
        mCallback49 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback48 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.clazzEnrolment == variableId) {
            setClazzEnrolment((com.ustadmobile.lib.db.entities.PersonWithClazzEnrolmentDetails) variable);
        }
        else if (BR.presenter == variableId) {
            setPresenter((com.ustadmobile.core.controller.ClazzMemberListPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setClazzEnrolment(@Nullable com.ustadmobile.lib.db.entities.PersonWithClazzEnrolmentDetails ClazzEnrolment) {
        this.mClazzEnrolment = ClazzEnrolment;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.clazzEnrolment);
        super.requestRebind();
    }
    public void setPresenter(@Nullable com.ustadmobile.core.controller.ClazzMemberListPresenter Presenter) {
        this.mPresenter = Presenter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.presenter);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.lib.db.entities.PersonWithClazzEnrolmentDetails clazzEnrolment = mClazzEnrolment;
        long clazzEnrolmentPersonUid = 0;
        java.lang.String clazzEnrolmentFirstNamesJavaLangString = null;
        java.lang.String clazzEnrolmentFirstNamesJavaLangStringClazzEnrolmentLastName = null;
        com.ustadmobile.core.controller.ClazzMemberListPresenter presenter = mPresenter;
        java.lang.String clazzEnrolmentFirstNames = null;
        java.lang.String clazzEnrolmentLastName = null;

        if ((dirtyFlags & 0x5L) != 0) {



                if (clazzEnrolment != null) {
                    // read clazzEnrolment.personUid
                    clazzEnrolmentPersonUid = clazzEnrolment.getPersonUid();
                    // read clazzEnrolment.firstNames
                    clazzEnrolmentFirstNames = clazzEnrolment.getFirstNames();
                    // read clazzEnrolment.lastName
                    clazzEnrolmentLastName = clazzEnrolment.getLastName();
                }


                // read (clazzEnrolment.firstNames) + (" ")
                clazzEnrolmentFirstNamesJavaLangString = (clazzEnrolmentFirstNames) + (" ");


                // read ((clazzEnrolment.firstNames) + (" ")) + (clazzEnrolment.lastName)
                clazzEnrolmentFirstNamesJavaLangStringClazzEnrolmentLastName = (clazzEnrolmentFirstNamesJavaLangString) + (clazzEnrolmentLastName);
        }
        // batch finished
        if ((dirtyFlags & 0x4L) != 0) {
            // api target 1

            this.acceptIcon.setOnClickListener(mCallback48);
            this.rejectIcon.setOnClickListener(mCallback49);
        }
        if ((dirtyFlags & 0x5L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemClazzmemberText, clazzEnrolmentFirstNamesJavaLangStringClazzEnrolmentLastName);
            com.ustadmobile.port.android.view.binding.PersonPictureBindingAdapterKt.setPersonPicture(this.studentpicture, clazzEnrolmentPersonUid, (java.lang.Boolean)null);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 2: {
                // localize variables for thread safety
                // presenter != null
                boolean presenterJavaLangObjectNull = false;
                // clazzEnrolment
                com.ustadmobile.lib.db.entities.PersonWithClazzEnrolmentDetails clazzEnrolment = mClazzEnrolment;
                // presenter
                com.ustadmobile.core.controller.ClazzMemberListPresenter presenter = mPresenter;



                presenterJavaLangObjectNull = (presenter) != (null);
                if (presenterJavaLangObjectNull) {




                    presenter.handleClickPendingRequest(clazzEnrolment, false);
                }
                break;
            }
            case 1: {
                // localize variables for thread safety
                // presenter != null
                boolean presenterJavaLangObjectNull = false;
                // clazzEnrolment
                com.ustadmobile.lib.db.entities.PersonWithClazzEnrolmentDetails clazzEnrolment = mClazzEnrolment;
                // presenter
                com.ustadmobile.core.controller.ClazzMemberListPresenter presenter = mPresenter;



                presenterJavaLangObjectNull = (presenter) != (null);
                if (presenterJavaLangObjectNull) {




                    presenter.handleClickPendingRequest(clazzEnrolment, true);
                }
                break;
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): clazzEnrolment
        flag 1 (0x2L): presenter
        flag 2 (0x3L): null
    flag mapping end*/
    //end
}